View Issue Details

IDProjectCategoryView StatusLast Update
0001535SOGoWeb Calendarpublic2012-05-22 15:01
ReporterChristian Mack Assigned Toludovic  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Fixed in Version1.3.15 
Summary0001535: unable to view more than 2 "All day Event"s
Description

In the calendar web interface you don't get all events at a glance.
In "Day View" and "Week View" you only can see 2 "All day Event"s at once.
You have to scroll to see the others.
This is especially annoying in "Week View" as you have to scroll each day separately.

For this I see two possible solutions:
A) The "All day Event" pane grows with the number of Events in it.
B) The user gets a handle to shrink and grow the "All day Event" pane for each view. For "Week View" this should be one handle for all days of the week.

Steps To Reproduce

Just add more than two "All day Event"s to a calendar at one day, or enable more than two calendars with an "All day Event" on a given day.

Additional Information

We have the following scenarios where this is annoying:
1) There are calendars for events interesting for a given group of users. Several of these events are "All day Event"s and they are all in one calendar. So you can't get better visibility by disabling calendars.

2) There are calendars which contain all "out of office" events from users in a department. With this you can see quickly who is in or out. These are all in one calendar and can contain several "All day Event"s on one day. So you can't get better visibility by disabling calendars.

3) Users are sharing calendars to each other. Some users have several of these shared calendars in their list, especially secretaries. They have to negotiate meetings on the phone. They often can get better results by disabling other calendars. But it is annoying and error prone for them to scroll/disable in these panes.

TagsNo tags attached.

Relationships

has duplicate 0000451 new Drag down for all day events area 

Activities

Christian Mack

Christian Mack

2011-12-15 10:23

developer   ~0003173

Just found out that solution B) is mentioned in Bug 0000451

joolsr

joolsr

2011-12-16 04:33

reporter   ~0003177

I would second the addition of a grab handle, or an option to auto resize to show all the daily events. its just too easy to miss events when there is space for just two.

Lightning does show all events no matter how many there are in a week view per day, so perhaps it should at least be similar to Lightning in operation.

ludovic

ludovic

2012-05-22 15:01

administrator   ~0003951

This has been fixed.

Issue History

Date Modified Username Field Change
2011-12-09 04:14 Christian Mack New Issue
2011-12-15 10:23 Christian Mack Note Added: 0003173
2011-12-16 04:33 joolsr Note Added: 0003177
2012-04-02 03:39 Christian Mack Relationship added has duplicate 0000451
2012-05-22 15:01 ludovic Note Added: 0003951
2012-05-22 15:01 ludovic Status new => resolved
2012-05-22 15:01 ludovic Fixed in Version => 1.3.15
2012-05-22 15:01 ludovic Resolution open => fixed
2012-05-22 15:01 ludovic Assigned To => ludovic